Page 1 of 1

Android Studio - Docx4j4Android4

PostPosted: Sat Jan 07, 2017 6:56 pm
by jason
Docx4j4Android4 is an Android Studio docx4j sample app.

Its a proof of concept of docx4j 3.3.2 (with a couple of minor changes) running on Android.

See further https://github.com/plutext/Docx4j4Android4

Re: Android Studio - Docx4j4Android4

PostPosted: Sun Jun 11, 2017 8:12 pm
by phenix5317
Hi Jason, I'm trying to run Docx4j4Android4 sample app in Android Studio but gradle build stuck on :app:transformClassesWithDexForDebug task. I have waiting for 1 hour with no luck. Do you have any ideas how to solve this problem?

Re: Android Studio - Docx4j4Android4

PostPosted: Tue Jun 20, 2017 8:17 pm
by jason
Please try with latest commits, at https://github.com/plutext/Docx4j4Andro ... 6039ad5207

The APK should build in a couple of mins, depending on your system.

Re: Android Studio - Docx4j4Android4

PostPosted: Sun Jun 25, 2017 1:53 am
by phenix5317
Hi Jason,
The latest commit resolve issue with build time, but app is crashed with the following exception:
java.lang.ClassNotFoundException: Didn't find class "javax.xml.stream.XMLInputFactory"

Re: Android Studio - Docx4j4Android4

PostPosted: Wed Jun 28, 2017 4:14 pm
by jason
Just fixed that, please see https://github.com/plutext/Docx4j4Andro ... 28c9ebb0a7

It now runs ok in emulator (API 26), build on Android Studio 2.3.3.

Please note currently known issue running on API 21: https://github.com/plutext/Docx4j4Android4/issues/3

Not sure whether that's specific to API 21 or not, so please respond to that issue with any additional data. Thanks!

Re: Android Studio - Docx4j4Android4

PostPosted: Mon Aug 14, 2017 8:52 pm
by nonfuxinyang
Hi,
when i run this sample in my phone(real device), i get this error , how should i resolve it.
error.txt
android studio docx4j for android real device
(15.54 KiB) Downloaded 146 times

Re: Android Studio - Docx4j4Android4

PostPosted: Mon Aug 14, 2017 10:23 pm
by jason
That error looks like https://github.com/plutext/Docx4j4Android4/issues/3

What API level is your phone running?